"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isValidPlainObject(obj) {
    return (isObject(obj) && !Array.isArray(obj) && !isInstanceOfForbbidenClass(obj));
}
exports.isValidPlainObject = isValidPlainObject;
function isArrayLikeObject(collection) {
    return (collection !== null &&
        !isFunction(collection) &&
        typeof collection.length === 'number');
}
exports.isArrayLikeObject = isArrayLikeObject;
function isObject(obj) {
    return obj !== null && typeof obj === 'object';
}
function isInstanceOfForbbidenClass(obj) {
    return (obj instanceof Date ||
        obj instanceof Error ||
        obj instanceof RegExp ||
        obj instanceof Map ||
        obj instanceof WeakMap ||
        obj instanceof Set ||
        obj instanceof WeakSet);
}
function isFunction(value) {
    return typeof value === 'function' && value.call;
}
